[AJUDA] Como resolver o problema de dependências quebradas no Linux Mint

o que tá acontecendo???

eu fui instalar o wine pra ver se rodava um jogo, e o terminal mandou a mensagem de que tinha dependencias quebradas e que era pra da apt-get -f install, dai começou a remover um bando de coisa.

Tó me tremendo todo cara, o que aconteceu?

(Lendo banco de dados … 387373 ficheiros e directórios actualmente instalados.)
A remover wine-installer (4.0.5) …
A remover libosmesa6:i386 (19.0.8-0ubuntu0~18.04.1) …
A remover libglu1-mesa:i386 (9.0.0-2.1build1) …
A remover libgl1-mesa-glx:i386 (19.0.8-0ubuntu0~18.04.1) …
A remover libgl1:i386 (1.0.0-2ubuntu2.3) …
A remover libglx0:i386 (1.0.0-2ubuntu2.3) …
A remover libglx-mesa0:i386 (19.0.8-0ubuntu0~18.04.1) …
A remover libgl1-mesa-dri:i386 (19.0.8-0ubuntu0~18.04.1) …
A remover libllvm8:i386 (1:8-3~ubuntu18.04.1) …
A remover winehq-stable (4.0.1~bionic) …
A remover wine-stable (4.0.1~disco) …
A remover wine-stable-i386:i386 (4.0.1~bionic) …
A remover libasound2-plugins:i386 (1.1.1-1ubuntu1) …
A remover libjack-jackd2-0:i386 (1.9.12~dfsg-2) …
A remover wine-stable-amd64 (4.0.1~disco) …
dpkg: libstdc++6:i386: problemas com dependências, mas mesmo assim a remover conforme você pediu:
libicu60:i386 depende de libstdc++6 (>= 5.2); porém:
Pacote libstdc++6:i386 está para ser removido.

A remover libstdc++6:i386 (8.3.0-6ubuntu1~18.04.1) …
dpkg: libgcc1:i386: problemas com dependências, mas mesmo assim a remover conforme você pediu:
libicu60:i386 depende de libgcc1 (>= 1:7).

A remover libgcc1:i386 (1:8.3.0-6ubuntu1~18.04.1) …
Configurando libgcc1:amd64 (1:9-20190402-1ubuntu1) …
(Lendo banco de dados … 383181 ficheiros e directórios actualmente instalados.)
A remover gstreamer1.0-plugins-base:i386 (1.14.5-0ubuntu1~18.04.1) …
A remover libldap-2.4-2:i386 (2.4.45+dfsg-1ubuntu1.3) …
A remover libgssapi3-heimdal:i386 (7.5.0+dfsg-1) …
A remover libheimntlm0-heimdal:i386 (7.5.0+dfsg-1) …
A remover libkrb5-26-heimdal:i386 (7.5.0+dfsg-1) …
A remover libhx509-5-heimdal:i386 (7.5.0+dfsg-1) …
A remover libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.3) …
A remover libopenal1:i386 (1:1.18.2-2) …
A remover libsndio6.1:i386 (1.1.0-3) …
A remover libasound2:i386 (1.1.3-5ubuntu0.2) …
A remover libpulse0:i386 (1:11.1-1ubuntu7.2) …
A remover libasyncns0:i386 (0.8-6) …
A remover libatomic1:i386 (8.3.0-6ubuntu1~18.04.1) …
A remover libcups2:i386 (2.2.7-1ubuntu2.6) …
A remover libsane1:i386 (1.0.27-1~experimental3ubuntu2.1) …
A remover libavahi-client3:i386 (0.7-3.1ubuntu1.2) …
A remover libavahi-common3:i386 (0.7-3.1ubuntu1.2) …
A remover libgstreamer-plugins-base1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) …
A remover libgstreamer1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) …
A remover libglib2.0-0:i386 (2.56.4-0ubuntu0.18.04.4) …
A remover libmount1:i386 (2.31.1-0.4ubuntu3.3) …
A remover libblkid1:i386 (2.31.1-0.4ubuntu3.3) …
A remover libtheora0:i386 (1.1.1+dfsg.1-14) …
A remover libcairo2:i386 (1.15.10-2ubuntu0.1) …
A remover libgphoto2-6:i386 (2.5.16-2) …
A remover libgphoto2-port12:i386 (2.5.16-2) …
A remover libusb-1.0-0:i386 (2:1.0.21-2) …
A remover libudev1:i386 (237-3ubuntu10.25) …
A remover libcap2:i386 (1:2.25-1.2) …
A remover libcapi20-3:i386 (1:3.27-3) …
A remover libcdparanoia0:i386 (3.10.2+debian-13) …
A remover libgssapi-krb5-2:i386 (1.16-2ubuntu0.1) …
A remover libkrb5-3:i386 (1.16-2ubuntu0.1) …
A remover libwind0-heimdal:i386 (7.5.0+dfsg-1) …
A remover libsasl2-2:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2) …
A remover libsasl2-modules-db:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2) …
A remover libdb5.3:i386 (5.3.28-13.1ubuntu1.1) …
A remover libdbus-1-3:i386 (1.12.2-1ubuntu1.1) …
A remover libdrm-amdgpu1:i386 (2.4.97-1ubuntu1~18.04.1) …
A remover libdrm-intel1:i386 (2.4.97-1ubuntu1~18.04.1) …
A remover libdrm-nouveau2:i386 (2.4.97-1ubuntu1~18.04.1) …
A remover libdrm-radeon1:i386 (2.4.97-1ubuntu1~18.04.1) …
A remover libdrm2:i386 (2.4.97-1ubuntu1~18.04.1) …
A remover libedit2:i386 (3.1-20170329-1) …
A remover libelf1:i386 (0.170-0.4ubuntu0.1) …
A remover libexif12:i386 (0.6.21-4) …
A remover libgd3:i386 (2.2.5-4ubuntu0.3) …
A remover libfontconfig1:i386 (2.12.6-0ubuntu2) …
A remover libexpat1:i386 (2.2.5-3ubuntu0.1) …
A remover libwayland-cursor0:i386 (1.16.0-1ubuntu1.1~18.04.1) …
A remover libwayland-client0:i386 (1.16.0-1ubuntu1.1~18.04.1) …
A remover libgnutls30:i386 (3.5.18-1ubuntu1.1) …
A remover libp11-kit0:i386 (0.23.9-2) …
A remover libffi6:i386 (3.2.1-8) …
A remover libsndfile1:i386 (1.0.28-4ubuntu0.18.04.1) …
A remover libflac8:i386 (1.3.2-1) …
A remover libfreetype6:i386 (2.8.1-2ubuntu2) …
A remover libsystemd0:i386 (237-3ubuntu10.25) …
A remover libxslt1.1:i386 (1.1.29-5ubuntu0.1) …
A remover libgcrypt20:i386 (1.8.1-4ubuntu1.1) …
A remover libglapi-mesa:i386 (19.0.8-0ubuntu0~18.04.1) …
A remover libglvnd0:i386 (1.0.0-2ubuntu2.3) …
A remover libhogweed4:i386 (3.4-1) …
A remover libgmp10:i386 (2:6.1.2+dfsg-2) …
A remover libgpg-error0:i386 (1.27-6) …
A remover libgpm2:i386 (1.20.7-5) …
A remover libgsm1:i386 (1.0.13-4build1) …
A remover libhcrypto4-heimdal:i386 (7.5.0+dfsg-1) …
A remover libheimbase1-heimdal:i386 (7.5.0+dfsg-1) …
A remover libxml2:i386 (2.9.4+dfsg1-6.1ubuntu1.2) …
A remover libicu60:i386 (60.2-3ubuntu3) …
A remover libidn2-0:i386 (2.0.4-1.1build2) …
A remover libieee1284-3:i386 (0.2.11-13) …
A remover libtiff5:i386 (4.0.9-5ubuntu0.2) …
A remover libjbig0:i386 (2.1-3.1build1) …
A remover libv4l-0:i386 (1.14.2-1) …
A remover libv4lconvert0:i386 (1.14.2-1) …
A remover libjpeg8:i386 (8c-2ubuntu8) …
A remover libjpeg-turbo8:i386 (1.5.2-0ubuntu5.18.04.1) …
A remover libk5crypto3:i386 (1.16-2ubuntu0.1) …
A remover libkeyutils1:i386 (1.5.9-9.2ubuntu2) …
A remover libkrb5support0:i386 (1.16-2ubuntu0.1) …
A remover liblcms2-2:i386 (2.9-1ubuntu0.1) …
A remover libodbc1:i386 (2.3.4-1.1ubuntu3) …
A remover libltdl7:i386 (2.4.6-2) …
A remover liblz4-1:i386 (0.0~r131-2ubuntu3) …
A remover liblzma5:i386 (5.2.2-1.3) …
A remover libmpg123-0:i386 (1.25.10-1) …
A remover libncurses5:i386 (6.1-1ubuntu1.18.04) …
A remover libnettle6:i386 (3.4-1) …
A remover libvorbisenc2:i386 (1.3.5-4.2) …
A remover libvorbis0a:i386 (1.3.5-4.2) …
A remover libogg0:i386 (1.3.2-1) …
A remover libopus0:i386 (1.1.2-1ubuntu1) …
A remover liborc-0.4-0:i386 (1:0.4.28-1) …
A remover libpcap0.8:i386 (1.8.1-6ubuntu1) …
A remover libpciaccess0:i386 (0.14-1) …
A remover libselinux1:i386 (2.7-2build2) …
A remover libpcre3:i386 (2:8.39-9) …
A remover libpixman-1-0:i386 (0.34.0-2) …
A remover libpng16-16:i386 (1.6.34-1ubuntu0.18.04.2) …
A remover libsamplerate0:i386 (0.1.9-1) …
A remover libsasl2-modules:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2) …
A remover libsensors4:i386 (1:3.4.0-4) …
A remover libspeexdsp1:i386 (1.2~rc1.2-1ubuntu2) …
A remover libsqlite3-0:i386 (3.22.0-1ubuntu0.1) …
A remover libssl1.1:i386 (1.1.1-1ubuntu2.1~18.04.4) …
A remover libtasn1-6:i386 (4.13-2) …
A remover libtinfo5:i386 (6.1-1ubuntu1.18.04) …
A remover libunistring2:i386 (0.9.9-0ubuntu2) …
A remover libuuid1:i386 (2.31.1-0.4ubuntu3.3) …
A remover libvisual-0.4-0:i386 (0.4.0-11) …
A remover libwayland-egl1:i386 (1.16.0-1ubuntu1.1~18.04.1) …
A remover libwebp6:i386 (0.6.1-2) …
A remover libwrap0:i386 (7.6.q-27) …
A remover libxcb-sync1:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-dri2-0:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-dri3-0:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-glx0:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-present0:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-render0:i386 (1.13-2~ubuntu18.04) …
A remover libxcb-shm0:i386 (1.13-2~ubuntu18.04) …
A remover libxcomposite1:i386 (1:0.4.4-2) …
A remover libxcursor1:i386 (1:1.1.15-1) …
A remover libxdamage1:i386 (1:1.1.4-3) …
A remover libxxf86vm1:i386 (1:1.1.4-1) …
A remover libxss1:i386 (1:1.2.2-1) …
A remover libxfixes3:i386 (1:5.0.3-1) …
A remover libxi6:i386 (2:1.7.9-1) …
A remover libxinerama1:i386 (2:1.1.3-1) …
A remover libxkbcommon0:i386 (0.8.0-1ubuntu0.1) …
A remover libxpm4:i386 (1:3.5.12-1) …
A remover libxrandr2:i386 (2:1.5.1-1) …
A remover libxrender1:i386 (1:0.9.10-1) …
A remover libxshmfence1:i386 (1.3-1) …
A remover ocl-icd-libopencl1:i386 (2.2.11-1ubuntu1) …
A remover zlib1g:i386 (1:1.2.11.dfsg-0ubuntu2) …
A remover libasn1-8-heimdal:i386 (7.5.0+dfsg-1) …
A remover libcom-err2:i386 (1.44.1-1ubuntu1.1) …
A remover libroken18-heimdal:i386 (7.5.0+dfsg-1) …
A remover libxext6:i386 (2:1.3.3-1) …
A remover libx11-6:i386 (2:1.6.4-3ubuntu0.2) …
A remover libxcb1:i386 (1.13-2~ubuntu18.04) …
A remover libxdmcp6:i386 (1:1.1.2-3) …
A remover libbsd0:i386 (0.8.7-1) …
A remover libxau6:i386 (1:1.0.8-1) …
A remover libc6:i386 (2.27-3ubuntu1) …
A processar ‘triggers’ para mime-support (3.60ubuntu1) …
A processar ‘triggers’ para desktop-file-utils (0.23+linuxmint6) …
A processar ‘triggers’ para bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index…
A processar ‘triggers’ para libc-bin (2.27-3ubuntu1) …
A processar ‘triggers’ para man-db (2.8.3-2ubuntu0.1) …
A processar ‘triggers’ para gnome-menus (3.13.3-11ubuntu1.1) …

É um conflito de dependências que quebra o sistema. Você deveria desinstalar o jogo que provocou a instabilidade e remover os pacotes os pacotes quebrados.

P.S.: edite o tópico, você precisa descrever o teor (assunto) do tópico no título.

2 Curtidas

eu não instalei o jogo, fui na loja do mint pra instalar o wine mas ele não abril, ai eu fui no site deles, e lá tinha aqueles comandos, e quando chegou no sudo apt install --install-recommends winehq-stable, ele fez isso ai.

P.S.: edite o tópico, você precisa descrever o teor (assunto) do tópico no título.
-Eu não faço idea de como descrever o que aconteceu, só deu um desespero.

Se eu desliga o pc, ele vai reiniciar normal né?
Já to ate butando um novo pendrive aqui.

Ola Alexandre, tudo blza?? Editei o titulo do tópico, para que vc possa se basear nesse nas próximas vezes que precise pedir ajuda e afins, beleuza!!!

2 Curtidas

Seu sistema é 32 ou 64 bits?
Se for 64bits não vai ter problema no sistema em si, essas bibliotecas são instaladas pelo steam se não me engano, no máximo teria que reinstalar o steam.
Agora, se for 32 bits você tem um sério problema.
A regra é não saia digitando comandos sem saber o resultado.

1 Curtida

Sistema 64, o jogo era Drakensang Online, não tenho a steam instalada, e nem cheguei a instala ela ou o jogo.
Uso o pc só pra internet e os artigos científicos que estamos lidando no instituto.
Os comandos era pra instalação, e são do site oficial da aplicação :slightly_frowning_face:
Eu realmente preciso reler sobre esses comando, problema é o tempo. Porem, já tinha feito a instalação do Wine por lá e tinha dado certo, então achei que ia correr tudo bem.

Eu só queria resgatar o seu código de presente :disappointed_relieved:

Então de boas, eu deixei de utilizar wine e steam para testes por causa disto, não costumo jogar, eles trazem uma infinidade de pacotes de 32 bits que eu não necessito, provavelmente suas mensagens são referentes a atualização do wine por exemplo se eu decidisse instalar o Wine aqui no fedora, são praticamente 192 pacotes de 32bits ocupando cerca de 1.6GB, para quem joga de boas, eu nuca tive a necessidade de utilizar o Wine, só experimentei algumas vez para testes.

E obviamente quando eu remover o wine eles serão removidos juntos “em tese” pois sempre sobra algum.
No caso do steam a mesma coisa, são 146 pacotes, creio que alguns destes se eu tivesse instalado o wine a quantidade seria reduzida.

1 Curtida